<?php
	do {
		
		$rete = $row_pagamento_ven_complexo['Ir']+$row_pagamento_ven_complexo['Iss']+$row_pagamento_ven_complexo['Inss'];
		$credito = $row_pagamento_ven_complexo['Pis']+$row_pagamento_ven_complexo['Cofins']+$row_pagamento_ven_complexo['Csll']+$row_pagamento_ven_complexo['Desconto'];
		$debito = $row_pagamento_ven_complexo['Juros']+$row_pagamento_ven_complexo['Multa']; 
		
		
		//Multiplo de DEBITO 
		if($debito >0){
	
			$cheque = '';
			if($row_pagamento_ven_complexo['Cheque'] <> '0'){ $cheque = ' Ch. '.$row_pagamento_ven['Cheque']; }
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_ven_complexo['dta_pagamento']; // Data do Movimento
			$texto .= str_pad('M', 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad($row_pagamento_ven_complexo['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_ven_complexo['Valor'] + $row_pagamento_ven_complexo['diferenca'] + $row_pagamento_ven_complexo['outros']-$rete-$credito+$debito,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_banco_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= str_pad($row_pagamento_ven_complexo['cli_nome'].' Pasta '.$row_pagamento_ven_complexo['num_pasta'].' '.$row_pagamento_ven_complexo['det'].$cheque, 200, " ", STR_PAD_RIGHT); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			
			//Lancamento de JUROS
			if($row_pagamento_ven_complexo['Juros'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven_complexo['dta_pagamento']; // Data do Movimento
				$texto .= str_pad(1190, 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($row_pagamento_ven_complexo['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven_complexo['Juros'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_juros_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= str_pad($row_pagamento_ven_complexo['cli_nome'].' Pasta '.$row_pagamento_ven_complexo['num_pasta'].' '.$row_pagamento_ven_complexo['det'], 200, " ", STR_PAD_RIGHT); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de MULTA
			if($row_pagamento_ven_complexo['Multa'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven_complexo['dta_pagamento']; // Data do Movimento
				$texto .= str_pad(1190, 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($row_pagamento_ven_complexo['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven_complexo['Multa'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_multa_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= str_pad($row_pagamento_ven_complexo['cli_nome'].' Pasta '.$row_pagamento_ven_complexo['num_pasta'].' '.$row_pagamento_ven_complexo['det'], 200, " ", STR_PAD_RIGHT); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento Fornecedor
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_ven_complexo['dta_pagamento']; // Data do Movimento
			$texto .= str_pad(1190, 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad($row_pagamento_ven_complexo['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_ven_complexo['Valor'] + $row_pagamento_ven_complexo['diferenca'] + $row_pagamento_ven_complexo['outros']-$rete,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_fornec, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= str_pad($row_pagamento_ven_complexo['cli_nome'].' Pasta '.$row_pagamento_ven_complexo['num_pasta'].' '.$row_pagamento_ven_complexo['det'], 200, " ", STR_PAD_RIGHT); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			
		// Fechamento de Lancamento Multiplo DEBITO
		}
		
		//SIMPLES
		if($debito ==0){
	
			$cheque = '';
			if($row_pagamento_ven['Cheque'] <> '0'){ $cheque = ' Ch. '.$row_pagamento_ven['Cheque']; }
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_ven_complexo['dta_pagamento']; // Data do Movimento
			$texto .= str_pad(1190, 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad($row_pagamento_ven_complexo['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_ven_complexo['Valor'] + $row_pagamento_ven_complexo['diferenca'] + $row_pagamento_ven_complexo['outros']-$rete,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_fornec, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= str_pad($row_pagamento_ven_complexo['cli_nome'].' Pasta '.$row_pagamento_ven_complexo['num_pasta'].' '.$row_pagamento_ven_complexo['det'].$cheque, 200, " ", STR_PAD_RIGHT); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			
			
		// Fechamento de Lancamento SIMPLES
		}
		
		
		fwrite($fp,$texto); //Escrever no Arquivo
		$texto = '';
		$contador++;
			
		$atualizar = "UPDATE mfin_pagamentos SET phoenix=CURDATE() WHERE Id= ".$row_pagamento_ven_complexo['pag_id'];
		mysql_query($atualizar, $paivaconex) or die(mysql_error());
		
	} while ($row_pagamento_ven_complexo = mysql_fetch_assoc($pagamento_ven_complexo));

?>